Module | PhusionPassenger
In: | lib/phusion_passenger/abstract_server.rb lib/phusion_passenger/exceptions.rb lib/phusion_passenger/dependencies.rb lib/phusion_passenger/wsgi/application_spawner.rb lib/phusion_passenger/abstract_server_collection.rb lib/phusion_passenger/console_text_template.rb lib/phusion_passenger/application.rb lib/phusion_passenger/admin_tools/control_process.rb lib/phusion_passenger/message_channel.rb lib/phusion_passenger/rack/application_spawner.rb lib/phusion_passenger/rack/request_handler.rb lib/phusion_passenger/constants.rb lib/phusion_passenger/spawn_manager.rb lib/phusion_passenger/utils.rb lib/phusion_passenger/events.rb lib/phusion_passenger/admin_tools.rb lib/phusion_passenger/railz/application_spawner.rb lib/phusion_passenger/railz/request_handler.rb lib/phusion_passenger/railz/cgi_fixed.rb lib/phusion_passenger/railz/framework_spawner.rb lib/phusion_passenger/html_template.rb lib/phusion_passenger/abstract_request_handler.rb ext/phusion_passenger/native_support.c

### Methods

call_event on_event

### Classes and Modules

Module PhusionPassenger::AdminTools
Module PhusionPassenger::NativeSupport
Module PhusionPassenger::Rack
Module PhusionPassenger::Railz
Module PhusionPassenger::Utils
Module PhusionPassenger::WSGI
Class PhusionPassenger::AbstractRequestHandler
Class PhusionPassenger::AbstractServer
Class PhusionPassenger::AbstractServerCollection
Class PhusionPassenger::AppInitError
Class PhusionPassenger::Application
Class PhusionPassenger::ConsoleTextTemplate
Class PhusionPassenger::FrameworkInitError
Class PhusionPassenger::HTMLTemplate
Class PhusionPassenger::InitializationError
Class PhusionPassenger::InvalidPath
Class PhusionPassenger::MessageChannel
Class PhusionPassenger::SpawnManager
Class PhusionPassenger::UnknownError
Class PhusionPassenger::VersionNotFound

### Constants

DEFAULT_FRAMEWORK_SPAWNER_MAX_IDLE_TIME | = | 30 * 60
DEFAULT_APP_SPAWNER_MAX_IDLE_TIME | = | 10 * 60

### Public Class methods

call_event(name, *args)

[Source]

        # File lib/phusion_passenger/events.rb, line 27
    27:         def self.call_event(name, *args)
    28:                 callback_list_for_event(name).each do |callback|
    29:                         callback.call(*args)
    30:                 end
    31:         end

on_event(name, &block)

[Source]

        # File lib/phusion_passenger/events.rb, line 23
    23:         def self.on_event(name, &block)
    24:                 callback_list_for_event(name) << block
    25:         end

[Validate]